Javascript required go Archives - Mavic-Guide.co.uk - The Ultimate DJI Mavic Resource
go

Yesterday the new DJI GO App 4 for Android dropped onto the Play Store. This is the App that people will need if they have purchased the Phantom 4 Pro ( and Pro+ ) or Inspire 2. It will also

Read more

DJI have released an all new version of their GO App. Called the DJI GO 4, this new version is designed specifically for their new breed of drones. Currently supporting the Phantom 4, Mavic Pro, Phantom 4 Pro and Inspire

Read more